(defun c:SKJEDT ( / KFGDCLID ESS ESJ ESL OLT OLS NWS)
; editace textu dialogem
;------------------------
  (setq KFGDCLID (load_dialog "skjedt.dcl"))

  (while (setq ESS (entsel))
    (progn
      (setq ESJ (car ESS))                          ; jmeno entity
      (setq ESL (entget ESJ))                       ; seznam entity
      (if (or (= "TEXT" (cdr (assoc 0 ESL))) (= "MTEXT" (cdr (assoc 0 ESL))))
        (progn
          (setq OLT (assoc 1 ESL))                  ; tecka text (1 . "xxx")
          (setq OLS (cdr OLT))                      ; puvodni text

          (if (not (new_dialog "skjedt" KFGDCLID)) (exit))

          (set_tile "titlediaskjedt" "Oprava textu")
          (set_tile "diaskjedtret" OLS)
          (mode_tile "diaskjedtret" 2)

          (action_tile "diaskjedtret" "(setq NWS (get_tile \"diaskjedtret\")) (done_dialog)")
          (action_tile "stop" "(setq NWS nil) (done_dialog)")

          (start_dialog)

          (if NWS
            (if (/= NWS "")
              (progn
                (command "_UNDO" "_G")
                (setq ESL (subst (cons (car OLT) NWS) OLT ESL))
                (entmod ESL)
                (command "_UNDO" "_E")
              ) ; progn
            ) ; if
          ) ; if

        ) ; progn
        (princ "\n*** Vybran entita nen TEXT/MTEXT.")
      ) ; if
    ) ; progn
  ) ; while

  (unload_dialog KFGDCLID)
  (princ)

) ; end defun c:SKJEDT
